
#include "UserDataField.hpp"

namespace Porygon::UserData {
    extern "C" {
    UserDataField *
    CreateUserDataField(ScriptType *type,
            const Evaluation::EvalValue *(*getter)(void *),
            void (*setter)(void *, const Evaluation::EvalValue *)) {
        return new UserDataField(type, getter, setter);
    }
    }
}